export interface User {
  id: string;
  username: string;
  email: string;
  createdAt: string;
  updatedAt: string;
}

export interface Room {
  id: string;
  name: string;
  description?: string;
  isPrivate: boolean;
  createdAt: string;
  updatedAt: string;
  owner: User;
  members: User[];
  messages: Message[];
}

export interface Message {
  id: string;
  content: string;
  createdAt: string;
  updatedAt: string;
  user: User;
  room: Room;
}

export interface AuthPayload {
  token: string;
  user: User;
}
